nav {
  display: flex;
  align-items: center;
  height: 4rem;
  padding: 0 var(--pad-l);
  position: sticky;
  top: 0;
  background: white;
  z-index: 1;
}

.nav__link {
  color: var(--font-color);
  font-family: raj-sb;
  margin-left: 1.5rem;
}

.nav__link:hover {
  color: var(--color-primary);
}

.nav__logo {
  flex: 1;
  font-family: raj-b;
  text-transform: uppercase;
  font-size: 1.6rem;
  display: flex;
  align-items: center;
}

.nav__logo::before {
  content: '';
  display: inline-block;
  height: 1.5rem;
  width: 1.6rem;
  background-image: url(assets/img/logo.png);
  background-size: contain;
  background-repeat: no-repeat;
  margin-right: 0.3rem;
  position: relative;
  bottom: 0.1rem;
}

.nav__insta {
  display: block;
  background-image: url(assets/img/insta.png);
  background-repeat: no-repeat;
  background-size: contain;
  margin-left: 1.5rem;
}

@media screen and (min-width: 37.5rem) {

  .nav__menu-icon {
    display: none;
  }

  .nav__menu {
    display: flex;
    align-items: center;
  }

  .nav__insta {
    height: 1rem;
    width: 1rem;
    opacity: 0.75;
  }

}

@media screen and (max-width: 37.5rem) {

  .nav__menu-icon {
    display: block;
    height: 1.1rem;
    width: 1.1rem;
    background-image: url(assets/img/menu.svg);
  }

  .nav__insta {
    height: 1.3rem;
    width: 1.3rem;
  }

  nav[data-state='0'] .nav__menu-icon { background-image: url(assets/img/menu.svg); }
  nav[data-state='1'] .nav__menu-icon { background-image: url(assets/img/close.svg); }

  nav[data-state='0'] .nav__menu {
    display: none;
  }

  nav[data-state='1'] .nav__menu {
    position: absolute;
    top: 4rem;
    background: white;
    width: 100%;
    display: flex;
    flex-direction: column;
    left: 0;
  }

  .nav__link {
    padding: 1rem 0 1rem var(--pad-l);
    margin: 0;
  }

  .nav__link {
    border-top: 1px solid rgba(0,0,0,0.05)
  }
 
  
}